extends ../_docs-template

block vars
  - var activeLink = 'svelte';
  - var title = 'Sortable Svelte Component | Framework7 Svelte Documentation';

block content


  .docs-nav
    include ../_docs-menu-svelte
  .docs-content
    .motion-docs-page-title
      h1 Sortable Svelte Component
      script(src="/js/motion/sortablelist.js")
      f7-motion-sortablelist(motion)
      
    p Sortable is not a separate component, but just a particular case of using <a href="list-view.html">&lt;List&gt;</a> and <a href="list-item.html">&lt;ListItem&gt;</a> components.
    h2 Sortable Events
    table.events-table
      thead
        tr
          th Event
          th Description
      tbody
        tr
        th(colspan="2") &lt;List&gt; events
          br
          small The following events will be available on &lt;List&gt; when `sortable` prop enabled
        tr
          td sortableEnable
          td Event will be triggered when sortable mode is enabled
        tr
          td sortableDisable
          td Event will be triggered when sortable mode is disabled
        tr
          td sortableSort
          td Event will be triggered after user release currently sorting element in new position. First handler argument contains object with `from`, `to` and `el` properties with start/new index numbers of sorted list item and the HTML element of sorted list item
        tr
          td sortableMove
          td Event will be triggered on every list item move during sorting

    h2 Examples
    +examplePreview('svelte', 'sortable.svelte', 'sortable')
